document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');
  
  mobileMenu.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Simple team tree visualization
  const teamTree = document.getElementById('teamTree');
  
  const createTeamTree = () => {
    const treeHTML = `
      <svg width="100%" height="100%" viewBox="0 0 800 250">
        <g transform="translate(400,20)">
          <!-- Root node -->
          <circle cx="0" cy="0" r="20" fill="#3498db"/>
          <text x="0" y="5" text-anchor="middle" fill="white">You</text>
          
          <!-- Level 1 -->
          <line x1="-100" y1="80" x2="0" y2="20" stroke="#666" />
          <line x1="100" y1="80" x2="0" y2="20" stroke="#666" />
          
          <circle cx="-100" cy="80" r="15" fill="#e74c3c"/>
          <circle cx="100" cy="80" r="15" fill="#e74c3c"/>
          
          <!-- Level 2 -->
          <line x1="-150" y1="140" x2="-100" y2="80" stroke="#666" />
          <line x1="-50" y1="140" x2="-100" y2="80" stroke="#666" />
          <line x1="50" y1="140" x2="100" y2="80" stroke="#666" />
          <line x1="150" y1="140" x2="100" y2="80" stroke="#666" />
          
          <circle cx="-150" cy="140" r="12" fill="#2ecc71"/>
          <circle cx="-50" cy="140" r="12" fill="#2ecc71"/>
          <circle cx="50" cy="140" r="12" fill="#2ecc71"/>
          <circle cx="150" cy="140" r="12" fill="#2ecc71"/>
        </g>
      </svg>
    `;
    
    teamTree.innerHTML = treeHTML;
  };
  
  createTeamTree();
  
  // Add smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
